###### link files
# convenient to just do all file linking in one place
-s /a/exe/lnf -T /a/bin /b
-s /a/exe/lnf -T /nocow/t /t
+sudo /a/exe/lnf -T /a/bin /b
+sudo /a/exe/lnf -T /nocow/t /t
if has_p; then
lnf -T /p/News ~/News
fi
-s /a/exe/lnf /q/root/.editor-backups /q/root/.undo-tree-history \
+sudo /a/exe/lnf /q/root/.editor-backups /q/root/.undo-tree-history \
/a/opt /a/c/.emacs.d $HOME/mw_vars /k/backup /root
/a/bin/ds/install-my-scripts # needed for rootsshsync cronjob
-s /a/exe/lnf /a/c/.vim /a/c/.vimrc /a/c/.gvimrc /root
+sudo /a/exe/lnf /a/c/.vim /a/c/.vimrc /a/c/.gvimrc /root
arch)
# pkgfile is like apt-cache
pi pkgfile
- s pkgfile --update
+ sudo pkgfile --update
;;
esac
##### make extra dirs
dirs=(/mnt/{1,2,3,4,5,6,7,8,9} /nocow/t)
-s mkdir -p "${dirs[@]}"
-s chown $USER:$USER "${dirs[@]}"
+sudo mkdir -p "${dirs[@]}"
+sudo chown $USER:$USER "${dirs[@]}"
###### setup /i
if home_network; then
/i/k /k none bind,noauto 0 0
EOF
if ! mountpoint /kr; then
- s mkdir -p /kr
- s chown $USER:user2 /kr
+ sudo mkdir -p /kr
+ sudo chown $USER:user2 /kr
fi
if [[ $HOSTNAME == frodo ]]; then
tu /etc/fstab <<'EOF'
frodo:/k /kr nfs noauto 0 0
EOF
fi
- s mkdir -p /q /i/{w,k}
+ sudo mkdir -p /q /i/{w,k}
for dir in /{i,w,k}; do
if mountpoint $dir; then continue; fi # already mounted
- s mkdir -p $dir
- s chown $USER:$USER $dir
+ sudo mkdir -p $dir
+ sudo chown $USER:$USER $dir
done
# not needed for all hosts, but rather just keep it uniform
- s mkdir -p /mnt/iroot
+ sudo mkdir -p /mnt/iroot
# debian auto mounting of multi-disk encrypted btrfs is busted. It is
# in jessie, and in stretch as of 11/26/2016 I have 4 disks in cryptab,
# based on 3 of those, it creates .device units for /dev/mapper/dev...
# have already been created and exist. todo: create a simple repro
# for this in a vm and report it upstream.
pi nfs-common
- s dd of=/root/imount <<'EOF'
+ sudo dd of=/root/imount <<'EOF'
#!/bin/bash
[[ $EUID == 0 ]] || exec sudo -E "${BASH_SOURCE[0]}" "$@"
set -eE -o pipefail
fi
done
EOF
- s chmod +x /root/imount
- s dd of=/etc/systemd/system/imount.service <<EOF
+ sudo chmod +x /root/imount
+ sudo dd of=/etc/systemd/system/imount.service <<EOF
[Unit]
Description=Mount /i and related mountpoints
Before=syncthing@$USER.service
if ! mountpoint $dir; then
subvol=/mnt/root/nocow
if [[ ! -e $subvol ]]; then
- s btrfs subvolume create $subvol
- s chown root:1000 $subvol
- s chattr +C $subvol
+ sudo btrfs subvolume create $subvol
+ sudo chown root:1000 $subvol
+ sudo chattr +C $subvol
fi
first_root_crypt=$(awk '$2 == "/" {print $1}' /etc/mtab)
tu /etc/fstab <<EOF
$first_root_crypt /nocow btrfs noatime,subvol=nocow 0 0
EOF
- s mkdir -p $dir
- s chown $USER:$USER $dir
- s mount $dir
+ sudo mkdir -p $dir
+ sudo chown $USER:$USER $dir
+ sudo mount $dir
fi
else
sudo mkdir -p $dir
#### ubuntu nicety
if isubuntu; then
# disable crash report annoying dialogs.
- s dd of=/etc/default/apport <<<'enabled=0'
+ sudo dd of=/etc/default/apport <<<'enabled=0'
fi
# todo, figure this out for arch if we ever try out gnome.
# install for multiple display managers in case we use one
dir=/etc/gdm3
- s mkdir -p $dir/PostLogin
- s command cp /a/bin/distro-setup/desktop-20-autostart.sh $dir/PostLogin/Default
- s mkdir /etc/lightdm/lightdm.conf.d
- s dd of=/etc/lightdm/lightdm.conf.d/12-iank.conf <<'EOF'
+ sudo mkdir -p $dir/PostLogin
+ sudo command cp /a/bin/distro-setup/desktop-20-autostart.sh $dir/PostLogin/Default
+ sudo mkdir /etc/lightdm/lightdm.conf.d
+ sudo dd of=/etc/lightdm/lightdm.conf.d/12-iank.conf <<'EOF'
[SeatDefaults]
session-setup-script=/a/bin/distro-setup/desktop-20-autostart.sh
EOF
# originally used xkbcomp, documented in input-setup.sh, this doesnt
# work under wayland, but its still useful for creating the config,
# then modifying the system files.
- s sed -i.orig '/key *<KPMU> *{/,/}/s/KP_Multiply/underscore/g' /usr/share/X11/xkb/symbols/keypad
+ sudo sed -i.orig '/key *<KPMU> *{/,/}/s/KP_Multiply/underscore/g' /usr/share/X11/xkb/symbols/keypad
fi
##### basic graphical packages
echo 0 >~/.local/distro-end
if $pending_reboot; then
echo "$0: pending reboot and then finished. doing it now."
- s reboot now
+ sudo reboot now
else
echo "$0: $(date): ending now)"
fi
exit 0
}
pre="${0##*/}:"
-s() {
- printf "s %s\n" "$*"
- SUDOD="$PWD" sudo -i "$@";
+sudo() {
+ printf "$pre %s\n" "$*"
+ SUDOD="$PWD" command sudo "$@";
}
sd() {
- s dd of="$1" 2>/dev/null
+ sudo dd of="$1" 2>/dev/null
}
m() { printf "$pre %s\n" "$*"; "$@"; }
e() { printf "$pre %s\n" "$*"; }
codename_compat=$(debian-codename-compat)
pending_reboot=false
sed="sed --follow-symlinks"
-# template
-case $distro in
-esac
+## template:
+# case $distro in
+# esac
#### initial packages
pup
fi
# avoid prompts
-s debconf-set-selections <<EOF
+sudo debconf-set-selections <<EOF
popularity-contest popularity-contest/participate boolean true
EOF
if isdeb && pcheck apt-file; then
# this condition is just a speed optimization
pi apt-file
- s apt-file update
+ sudo apt-file update
fi
# i'd rather disable the service than comment the init file
# this says disabling the service, it will still get restarted
# but this script doesn't do anything on restart, so it should be fine
- s truncate -s0 /var/run/motd.dynamic
+ sudo truncate -s0 /var/run/motd.dynamic
;;
trisquel|ubuntu)
# this isn't a complete solution. It still shows me when updates are available,
# but it's no big deal.
- s rm -fv /etc/update-motd.d/10-help-text /etc/update-motd.d/00-header
+ sudo rm -fv /etc/update-motd.d/10-help-text /etc/update-motd.d/00-header
;;
esac
pi software-properties-common
l="deb http://ppa.launchpad.net/certbot/certbot/ubuntu xenial main"
if ! grep -xFq "$l" /etc/apt/sources.list{,.d/*.list}; then
- s add-apt-repository -y ppa:certbot/certbot ||:
+ sudo add-apt-repository -y ppa:certbot/certbot ||:
m p update
fi
pi python-certbot-apache
s,(ExecStart=)(/usr/bin/certbot),\1/a/bin/log-quiet/sysd-mail-once certbotmail \2 --renew-hook /a/bin/distro-setup/certbot-renew-hook,
EOF
ser daemon-reload
-m sgo certbotmail.timer
+sgo certbotmail.timer
### end certbot install ###
EOF
if ! apt-key list | grep /C0B21F32 &>/dev/null; then
- s apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 3B4FE6ACC0B21F32
+ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 3B4FE6ACC0B21F32
sd /etc/apt/preferences.d/flidas-bionic <<EOF
Package: *
Pin: release a=bionic
EOF
f=/etc/apt/sources.list.d/bionic.list
if ! diff -q $t $f; then
- s cp $t $f
- s chmod 644 $f
+ sudo cp $t $f
+ sudo chmod 644 $f
m p update
fi
cd $t
m aptitude download debootstrap/xenial
m ex ./*
- s cp ./usr/share/debootstrap/scripts/* /usr/share/debootstrap/scripts
+ sudo cp ./usr/share/debootstrap/scripts/* /usr/share/debootstrap/scripts
fi
sd /etc/apt/preferences.d/flidas-etiona <<EOF
EOF
f=/etc/apt/sources.list.d/etiona.list
if ! diff -q $t $f; then
- s cp $t $f
+ sudo cp $t $f
n s chmod 644 $f
m p update
fi
# dont use buster because it causes dist-upgrade to think its downgrading
# packages while really just reinstalling the same version.
f=/etc/apt/apt.conf.d/01iank
- s rm -fv $f
+ sudo rm -fv $f
# # stupid buster uses some key algorithm not supported by flidas gpg that apt uses.
# sd /etc/apt/apt.conf.d/01iank <<'EOF'
# Acquire::AllowInsecureRepositories "true";
# EOF
f=/etc/apt/sources.list.d/buster.list
- s rm -fv $f
+ sudo rm -fv $f
# t=$(mktemp)
# cat >$t <<EOF
# deb http://http.us.debian.org/debian buster main
EOF
# old names, too verbose
-s rm -f /etc/cron.d/unattended-upgrade-reboot /usr/local/bin/zelous-unattended-reboot
+sudo rm -f /etc/cron.d/unattended-upgrade-reboot /usr/local/bin/zelous-unattended-reboot
sd /etc/cron.d/myupgrade <<'EOF'
# Setup reboots when running outdated stuff, unattended upgrades happen
f=/var/lib/bind/db.b8.nz
if [[ ! -e $f ]]; then
ser stop bind9
- s rm -fv $f.jnl
- s install -m 644 -o bind -g bind /p/c/machine_specific/linode/bind-initial/db.b8.nz $f
+ sudo rm -fv $f.jnl
+ sudo install -m 644 -o bind -g bind /p/c/machine_specific/linode/bind-initial/db.b8.nz $f
ser restart bind9
fi
;;&
l2)
# setup let's encrypt cert
m web-conf apache2 l2.b8.nz
- s rm -fv /etc/apache2/sites-enabled/l2.b8.nz{,-redir}.conf
+ sudo rm -fv /etc/apache2/sites-enabled/l2.b8.nz{,-redir}.conf
ser reload apache2
s lnf -T /etc/letsencrypt/live/l2.b8.nz/fullchain.pem /etc/exim4/exim.crt
if [[ ! -L /etc/exim4/exim.key ]]; then
# start mumble only when im going to use it, since i dont use it much
pi-nostart mumble-server
- s $sed -ri "s/^ *(serverpassword=).*/\1$(< /a/bin/bash_unpublished/mumble_pass)/" /etc/mumble-server.ini
+ sudo $sed -ri "s/^ *(serverpassword=).*/\1$(< /a/bin/bash_unpublished/mumble_pass)/" /etc/mumble-server.ini
# do certificate to avoid warning about unsigned cert,
# which is overkill for my use, but hey, I'm cool, I know
# how to do this.
m web-conf apache2 mumble.iankelling.org
- s rm -fv /etc/apache2/sites-enabled/mumble.iankelling.org
+ sudo rm -fv /etc/apache2/sites-enabled/mumble.iankelling.org
s <<'EOF'
export RENEWED_LINEAGE=/etc/letsencrypt/live/mumble.iankelling.org
/a/bin/distro-setup/certbot-renew-hook
# and man openvpn
m vpn-server-setup -rd 2600:3c00:e000:280::1/64 2600:3c00::f03c:91ff:feb4:0bf3
- s tee /etc/openvpn/client-config/mail <<'EOF'
+ sudo tee /etc/openvpn/client-config/mail <<'EOF'
ifconfig-push 10.8.0.4 255.255.255.0
ifconfig-ipv6-push 2600:3c00:e000:280::2/64
EOF
WantedBy=$vpn_service.service
EOF
ser daemon-reload
- m sgo vpnmail.service
+ sgo vpnmail.service
# needed for li's local mail delivery.
tu /etc/hosts <<<"10.8.0.4 mail.iankelling.org"
- m sgo $vpn_service
+ sgo $vpn_service
# setup let's encrypt cert
m web-conf apache2 mail.iankelling.org
- s rm -fv /etc/apache2/sites-enabled/mail.iankelling.org{,-redir}.conf
+ sudo rm -fv /etc/apache2/sites-enabled/mail.iankelling.org{,-redir}.conf
ser reload apache2
domain=cal.iankelling.org
# to get into the web interface,
# then use non-main browser or else it doebsn't allow it based on ocsp stapling from my main site.
# https://iankelling.org:12533/
- sudo -i <<'EOF'
+ s <<'EOF'
export RENEWED_LINEAGE=/etc/letsencrypt/live/iankelling.org
/a/bin/distro-setup/certbot-renew-hook
EOF
# https://wiki.znc.in/self-message
# https://wiki.znc.in/Query_buffers \
#
- s useradd --create-home -d /var/lib/znc --system --shell /sbin/nologin --comment "Account to run ZNC daemon" --user-group znc || [[ $? == 9 ]] # 9 if it exists already
- s chmod 700 /var/lib/znc
- s chown -R znc:znc /var/lib/znc
+ if ! getent passwd znc > /dev/null; then
+ sudo useradd --create-home -d /var/lib/znc --system --shell /sbin/nologin --comment "Account to run ZNC daemon" --user-group znc
+ fi
+ sudo chmod 700 /var/lib/znc
+ sudo chown -R znc:znc /var/lib/znc
# Avoid restarting if possible, reconnecting to irc is annoying.
# The unit file was made active with conflink.
- if [[ $(ser is-active znc) != active ]]; then
- m sgo znc
+ # Note, avoid using ser here because we wrap sudo to prints the command first.
+ if [[ $(systemctl is-active znc) != active ]]; then
+ sgo znc
fi
###### stop znc setup #####
pi ${pall[@]} $(apt-cache search ruby[.0-9]+-doc| awk '{print $1}') $(apt-cache depends gcc|grep -i suggests:| awk '{print $2}') $($src/distro-pkgs)
-m sgo fsf-vpn-dns-cleanup
+sgo fsf-vpn-dns-cleanup
# website is dead june 14 2019. back in october, but meh
-s rm -fv /etc/apt/sources.list.d/iridium-browser.list
+sudo rm -fv /etc/apt/sources.list.d/iridium-browser.list
# case $distro in
# debian)
# pi chromium ;;
# key already exists, so this won't generate one, just the configs.
m vpn-server-setup -rds
-s tee -a /etc/openvpn/server/server.conf <<'EOF'
+sudo tee -a /etc/openvpn/server/server.conf <<'EOF'
push "dhcp-option DNS 10.0.0.1"
push "route 10.0.0.0 255.255.0.0"
client-connect /a/bin/distro-setup/vpn-client-connect
EOF
-s sed -i --follow-symlinks 's/10.8./10.9./g;s/^\s*port\s.*/port 1196/' /etc/openvpn/server/server.conf
+sudo sed -i --follow-symlinks 's/10.8./10.9./g;s/^\s*port\s.*/port 1196/' /etc/openvpn/server/server.conf
if [[ $HOSTNAME == tp ]]; then
if [[ -e /lib/systemd/system/openvpn-server@.service ]]; then
else
vpn_service=openvpn@server
fi
- m sgo $vpn_service
+ sgo $vpn_service
fi
### end vpn server setup
[Install]
WantedBy=timers.target
EOF
-s systemctl daemon-reload
+sudo systemctl daemon-reload
######### begin pump.io periodic backup #############
WantedBy=timers.target
EOF
ser daemon-reload
- m sgo pumpbackup.timer
+ sgo pumpbackup.timer
fi
######### end pump.io periodic backup #############
[Install]
WantedBy=timers.target
EOF
- s systemctl daemon-reload
+ sudo systemctl daemon-reload
sgo ircbackup.timer
fi
pi syncthing
m lnf -T /w/syncthing /home/iank/.config/syncthing
ser daemon-reload # syncthing likely not properly packaged
- m sgo syncthing@iank # runs as iank
+ sgo syncthing@iank # runs as iank
# these things persist in ~/.config/syncthing, which I save in
# /w/syncthing (not in /p, because syncthing should continue to
pi libswitch-perl libdigest-md5-file-perl libgnupg-interface-perl
t=$(mktemp)
m wget -O $t http://mirror.fsf.org/fsfsys-trisquel/fsfsys-trisquel/pool/main/s/spd-perl/spd-perl_0.2-1_amd64.deb
-s dpkg -i $t
+sudo dpkg -i $t
m rm $t
# this guesses at the appropriate directory, adjust if needed
perldir=(/usr/lib/x86_64-linux-gnu/perl/5.*)
# newer distro had gpg2 as default, older one, flidas, need to make it that way
gpgpath=$(which gpg2)
if [[ $x ]]; then
- s mkdir -p /usr/local/spdhackfix
+ sudo mkdir -p /usr/local/spdhackfix
s lnf -T $gpgpath /usr/local/spdhackfix/gpg
fi
### end spd install
users=$USER,user2
EOF
if [[ -e $d/bin ]]; then
- s chroot $d apt-get update
- s chroot $d apt-get -y dist-upgrade --purge --auto-remove
- cd; s schroot -c $n -- apt-get install --allow-unauthenticated -y ${apps[@]}
+ sudo chroot $d apt-get update
+ sudo chroot $d apt-get -y dist-upgrade --purge --auto-remove
+ cd; sudo schroot -c $n -- apt-get install --allow-unauthenticated -y ${apps[@]}
else
- s mkdir -p $d
+ sudo mkdir -p $d
- s debootstrap $n $d $repo
- cd; s schroot -c $n -- apt-get install --allow-unauthenticated -y ${apps[@]}
+ sudo debootstrap $n $d $repo
+ cd; sudo schroot -c $n -- apt-get install --allow-unauthenticated -y ${apps[@]}
fi
- s cp -P {,$d}/etc/localtime
+ sudo cp -P {,$d}/etc/localtime
}
sd /etc/systemd/system/schrootupdate.service <<'EOF'
[Unit]
WantedBy=timers.target
EOF
ser daemon-reload
-m sgo schrootupdate.timer
+sgo schrootupdate.timer
;;
esac
-s mkdir -p /nocow/user
-s chown $USER:$USER /nocow/user
+sudo mkdir -p /nocow/user
+sudo chown $USER:$USER /nocow/user
pi anki
# 450 seems likely to be unused. we need to specify one or else
# it won't be stable across installs.
if ! getent passwd debian-transmission > /dev/null; then
- s groupadd -g 450 debian-transmission
- s adduser --quiet \
- --gid 450 \
- --uid 450 \
- --system \
- --no-create-home \
- --disabled-password \
- --home /var/lib/transmission-daemon \
- debian-transmission
+ sudo groupadd -g 450 debian-transmission
+ sudo adduser --quiet \
+ --gid 450 \
+ --uid 450 \
+ --system \
+ --no-create-home \
+ --disabled-password \
+ --home /var/lib/transmission-daemon \
+ debian-transmission
fi
# We want group writable stuff from transmission.
# However, after setting this, I learn that transmission sets it's
# own umask based on it's settings file. Well, no harm leaving this
# so it's set right from the beginning.
-s chfn debian-transmission -o umask=0002
+sudo chfn debian-transmission -o umask=0002
# note i had to do this, which is persistent:
# cd /i/k
net.core.rmem_max = 67108864
net.core.wmem_max = 16777216
EOF
-s sysctl -p
+sudo sysctl -p
# some reason it doesn\'t seem to start automatically anyways
pi-nostart transmission-daemon
mkdir -p $f
s lnf -T $f /var/lib/transmission-daemon/.config/transmission-daemon
s lnf -T /etc/transmission-daemon/settings.json $f/settings.json
-s chown -R debian-transmission:debian-transmission $f
+sudo chown -R debian-transmission:debian-transmission $f
for f in $tdir/partial-torrents $tdir/torrents; do
if [[ -e $f ]]; then
- s chown -R debian-transmission:user2 $f
+ sudo chown -R debian-transmission:user2 $f
fi
done
-s chown -R debian-transmission:debian-transmission /var/lib/transmission-daemon
+sudo chown -R debian-transmission:debian-transmission /var/lib/transmission-daemon
#
# config file documented here, and it\'s the same config
# for daemon vs client, so it\'s documented in the gui.
#
# Changed the cache-size to 256 mb, reduces disk use.
# It is a read & write cache.
-s ruby <<EOF
+sudo ruby <<EOF
require 'json'
p = '/etc/transmission-daemon/settings.json'
File.write(p, JSON.pretty_generate(JSON.parse(File.read(p)).merge({
ser daemon-reload
if [[ $HOSTNAME == frodo ]]; then
- m sgo transmission-daemon-nn
+ sgo transmission-daemon-nn
fi
# the password is randomly generated on first run, i copied it out
# so it could be used by other hosts.
- s ruby <<'EOF'
+ sudo ruby <<'EOF'
require 'json'
p = '/etc/transmission-daemon/settings.json'
s = JSON.parse(File.read(p))
continue
fi
d=$f/.config/transmission-remote-gtk
- s -u $u mkdir -p $d
- s -u $u dd of=$d/config.json <<EOF
+ sudo -u $u mkdir -p $d
+ sudo -u $u dd of=$d/config.json <<EOF
{
"profiles" : [
{
### printer setup
pi cups hplip
-s gpasswd -a $USER lpadmin # based on ubuntu wiki
+sudo gpasswd -a $USER lpadmin # based on ubuntu wiki
# goto http://127.0.0.1:631
# administration tab, add new printer button.
# In debian, I could use hte recommended driver,
# also built latest arduino in /a/opt/Arduino, (just cd build; ant build; ant run )
# set arduino var in bashrc,
# have system config file setup too.
-s adduser $USER dialout
+sudo adduser $USER dialout
# this is for the mail command too. update-alternatives is kind of misleading
# since at least it's main commands pretend mail does not exist.
# bsd's mail got pulled in on some dumb dependency, i dunno how.
-s update-alternatives --set mailx /usr/bin/mail.mailutils
+sudo update-alternatives --set mailx /usr/bin/mail.mailutils
######### end misc packages #########
# -o on, turn on 4 hour period non-performance degrading testing.
# short test daily 2-3am, extended tests Saturdays between 3-4am:
sched="-s (S/../.././02|L/../../6/03)"
-s sed -i --follow-symlinks "s#^[[:space:]]*DEVICESCAN.*#\
+sudo sed -i --follow-symlinks "s#^[[:space:]]*DEVICESCAN.*#\
DEVICESCAN -a -o on -S on -n standby,q $sched \
-m ian@iankelling.org -M exec /usr/local/bin/smart-notify#" /etc/smartd.conf
# conflicts with the normal dnsmasq package.
f=/etc/NetworkManager/NetworkManager.conf
m=$(md5sum $f)
-s sed -ri '/ *\[main\]/,/^ *\[[^]]+\]/{/^\s*dns[[:space:]=]/d}' $f
-s sed -ri '/ *\[main\]/a dns=default' $f
+sudo sed -ri '/ *\[main\]/,/^ *\[[^]]+\]/{/^\s*dns[[:space:]=]/d}' $f
+sudo sed -ri '/ *\[main\]/a dns=default' $f
if [[ $m != $(md5sum $f) ]]; then
srestart NetworkManager
fi
# make my /etc/fonts/conf.d/ get used.
# I have a new sans-serif font there because the default one
# displays l and I as the same char, grrrrr.
-s fc-cache
+sudo fc-cache
m /a/bin/distro-setup/mymimes
-m sgo dynamicipupdate
+sgo dynamicipupdate
# stop autopoping windows when i plug in an android phone.
devs+=("$(devbyid $dev),")
done
devs[-1]=${devs[-1]%,} # jonied by commas
-s debconf-set-selections <<EOF
+sudo debconf-set-selections <<EOF
grub-pc grub-pc/install_devices multiselect ${devs[*]}
EOF
# aren't autoupdating this, but I do check on it somewhat regularly.
m cd /a/opt/btrbk
-s make install
+sudo make install
-m sgo btrbk.timer
+sgo btrbk.timer
# note: to see when it was last run,
# ser list-timers
# Remove dep that came in with desktop to fix associations.
m pu transmission-gtk
-s gpasswd -a iank adm #needed for reading logs
+sudo gpasswd -a iank adm #needed for reading logs
m /a/bin/buildscripts/pithosfly
tu /etc/exports <<'EOF'
/k 10.0.0.0/24(rw,fsid=0,nohide,no_root_squash,async,no_subtree_check,insecure)
EOF
- s exportfs -rav
+ sudo exportfs -rav
fi